subversion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Fuhrmann <stefan.fuhrm...@wandisco.com>
Subject Re: Can't build subversion 1.9 or master without gpg-agent
Date Thu, 06 Aug 2015 12:33:02 GMT
On Thu, Aug 6, 2015 at 12:03 PM, Alexander Dreweke <alexander@dreweke.net>
wrote:

> Hi
>
> when trying to build subversion without gpg-agent support the build fails.
>
> All code in subversion/libsvn_subr/gpg_agent.c is encapsulated in #ifdef
> SVN_HAVE_GPG_AGENT, but the call to svn_auth__get_gpg_agent_simple_provider
> in subversion/libsvn_subr/deprecated.c is missing this check.
>
> With this patch I'm able to compile subversion without errors.
>
> cu
>     Alex
>

Hi Alex,

Thank you for the patch!
Committed as r1694481 and proposed for backport into 1.9.x.

-- Stefan^2.

Mime
View raw message